%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This script uses any Y input series and extends it forward
% for 12 quarters using a random walk conditionned on the trend
% of the series estimated using the UCSV approach
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



[tau]=UC_SV(Y);

Y_extended = Y;

for h = 1:12
    
    Y_extended(end+1,1) = tau(end,1);
    
end

clear tau